### Virtual Method

# Gtk TreeModel get_path

#### Declaration [src]

    GtkTreePath*
    get_path (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter
    )

#### Description [src]

Returns a newly-created `GtkTreePath` referenced by `iter`.

This path should be freed with gtk_tree_path_free().

#### Parameters

`iter` | `GtkTreeIter`
| The `GtkTreeIter`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkTreePath`
| A newly-created `GtkTreePath`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.